/*	level.cpp -- ljsdcdev
	Leveling up!
	ljsdcdev
	(c) 2003 Lawrence Sebald

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "ljsdcdev.h"

void lev_level_up(stat_data_t * stats)	{
	int rand;

	stats->stats.level++;

	rand = sge_Random(1, 3);
	stats->stats.hp += (rand * 4);
	if(stats->stats.rank == 2 || stats->stats.rank == 3)
		stats->stats.mp += (rand * 3);
	stats->stats.hp_rem = stats->stats.hp;
	stats->stats.mp_rem = stats->stats.mp;

	rand = sge_Random(0, 2);
	stats->stats.attack += rand;
	stats->stats.defense += rand;
	stats->stats.speed += rand;

	rand = sge_Random(0, 1);
	stats->stats.mdef += rand;
	stats->stats.matt += rand;
	stats->stats.intel += rand;
}
